<xml> </xml>

db4o |

# IoAdapter Members

IoAdapter overview

#### Public Instance Methods

blockCopy | copies a block within a file in block mode
blockSeek | Overloaded. sets the read/write pointer in the file using block mode
blockSize | Overloaded. outside call to set the block size of this adapter
close | implement to close the adapter
copy | copies a block within a file in absolute mode
Equals (inherited from Object) |
exists | checks whether a file exists
GetHashCode (inherited from Object) |
getLength | implement to return the absolute length of the file
GetType (inherited from Object) |
open | implement to open the file
read | Overloaded. reads a buffer at the seeked address
seek | implement to set the read/write pointer in the file, absolute mode
sync | implement to flush the file contents to storage
ToString (inherited from Object) |
write | Overloaded. writes a buffer to the seeked address

#### Protected Instance Constructors

IoAdapter Constructor | Initializes a new instance of the IoAdapter class.

#### Protected Instance Methods

Finalize (inherited from Object) |
MemberwiseClone (inherited from Object) |
regularAddress | converts address and address offset to an absolute address

#### See Also

IoAdapter Class | com.db4o.io Namespace